using System;
using System.Diagnostics.CodeAnalysis;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Naming
{
    public class Rule1721 : Rule1721A
    {
        // このプロパティは CA1721:SameType に違反しています。
        public string Value { get; set; }

        // このプロパティは CA1721:BaseType に違反しています。
        public Guid Guid { get; set; }

        [SuppressMessage("Microsoft.Design", "CA1024:UsePropertiesWhereAppropriate")]
        public string GetValue()
        {
            return Value;
        }
    }

    public class Rule1721A
    {
        [SuppressMessage("Microsoft.Performance", "CA1822:MarkMembersAsStatic")]
        [SuppressMessage("Microsoft.Design", "CA1024:UsePropertiesWhereAppropriate")]
        public Guid GetGuid()
        {
            return new Guid();
        }
    }
}
